Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class create_agent

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.create_agent

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class create_agent

extends DefaultInternalAction

Internal action: `.create_agent`.

Description: creates another agent using the referred AgentSpeak source code.

Parameters:

- + name (atom or string): the name for the new agent.
- + source (string): path to the file where the AgentSpeak code for the new agent can be found.
- + customisations (list -- optional): list of optional parameters as agent class, architecture and belief base.

Examples:

- `.create_agent(bob,"/tmp/x.asl")`: creates an agent named "bob" from the source file in "/tmp/x.asl".
- `.create_agent(bob,"x.asl", [agentClass("myp.MyAgent")])`: creates the agent with customised agent class `myp.MyAgent`.
`.create_agent(bob,"x.asl", [agentArchClass("myp.MyArch")])`: creates the agent with customised architecture class `myp.MyArch`. `.create_agent(bob,"x.asl", [beliefBaseClass("jason.bb.TextPersistentBB")])`: creates the agent with customised belief base `jason.bb.TextPersistentBB`. `.create_agent(bob,"x.asl", [agentClass("myp.MyAgent"), agentArchClass("myp.MyArch"), beliefBaseClass("jason.bb.TextPersistentBB")])`: creates the agent with agent, acrchitecture and belief base customised.

See Also:
  `kill_agent`, `stopMAS`, `RuntimeServicesInfraTier`, Serialized Form

Constructor Summary
`create_agent()`

Method Summary
`protected void` | `checkArguments(Term[] args)`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### create_agent

    public create_agent()

Method Detail

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### checkArguments

    protected void checkArguments(Term[] args)
                           throws JasonException

  Overrides:
    `checkArguments` in class `DefaultInternalAction`
  Throws:
    `JasonException`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD